import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import Size from './size';

const Component: Meta<typeof Size> = {
  title: 'Components/Selectors/size',
  component: Size,
  argTypes: { onChange: { action: 'changed' } },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;

type Story = StoryObj<typeof Component>;

export const SizeStory: Story = (args: any) => {
  const [value, setValue] = useState<string>('');

  return <Size {...args} marking={value} onChange={setValue} />;
};

SizeStory.args = {};
